Package org.kapott.hbci.sepa.jaxb.camt_052_001_02

# Class BankToCustomerAccountReportV02

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_02.BankToCustomerAccountReportV02

public class BankToCustomerAccountReportV02 extends Object

Java class for BankToCustomerAccountReportV02 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="BankToCustomerAccountReportV02">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="GrpHdr" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}GroupHeader42"/>
             <element name="Rpt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.02}AccountReport11" maxOccurs="unbounded"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected GroupHeader42`
`grpHdr`
`protected List<AccountReport11>`
`rpt`

## Constructor Summary

Constructors
Constructor
Description
`BankToCustomerAccountReportV02()`

## Method Summary

Modifier and Type
Method
Description
`GroupHeader42`
`getGrpHdr()`
Gets the value of the grpHdr property.
`List<AccountReport11>`
`getRpt()`
Gets the value of the rpt property.
`void`
`setGrpHdr(GroupHeader42 value)`
Sets the value of the grpHdr property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### grpHdr

protected GroupHeader42 grpHdr

### rpt

protected List<AccountReport11> rpt

## Constructor Details

### BankToCustomerAccountReportV02

public BankToCustomerAccountReportV02()

## Method Details

### getGrpHdr

public GroupHeader42 getGrpHdr()
Gets the value of the grpHdr property.

Returns:
  possible object is `GroupHeader42`

### setGrpHdr

public void setGrpHdr(GroupHeader42 value)
Sets the value of the grpHdr property.

Parameters:
  `value` - allowed object is `GroupHeader42`

### getRpt

public List<AccountReport11> getRpt()
Gets the value of the rpt property.

This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the rpt property.

For example, to add a new item, do as follows:

        getRpt().add(newItem);

Objects of the following type(s) are allowed in the list `AccountReport11`